[Numpy-discussion] C-API change for 1.2

Robert Kern robert.kern@gmail....
Sat Aug 16 04:43:04 CDT 2008


On Sat, Aug 16, 2008 at 04:34, Jon Wright <wright@esrf.fr> wrote:
> Travis, Stéfan,
>
> I missed Travis mail previously. Are you *really* sure you want force
> all C code which uses numpy arrays to be recompiled? If you mean that
> all your matplotlib/PIL/pyopengl/etc users are going to have to make a
> co-ordinated upgrade, then this seems to be a grave mistake.

FWIW, neither PIL nor PyOpenGL have C code which uses numpy arrays, so
they are entirely unaffected. And this does not require an *upgrade*
of the actually affected packages, just a rebuild of the binary.

-- 
Robert Kern

"I have come to believe that the whole world is an enigma, a harmless
enigma that is made terrible by our own mad attempt to interpret it as
though it had an underlying truth."
 -- Umberto Eco


More information about the Numpy-discussion mailing list